/*ZEUS海外マイページ専用CSS*/
/* 共通 */
:root {
  --zeus-rental-white: #FFFFFF;
  --zeus-rental-black: #000000;
  --zeus-rental-lightgray: #7D7D7D;
  --zeus-rental-gray: #666666;
  --zeus-rental-yellow: #FFE100;
  --zeus-rental-pink: #FF00AA;
  --zeus-rental-background: #F2F2F2;
  --shadow: drop-shadow(0px 3px 6px rgb(0 0 0 / 16%));
  --box-shadow: 0px 3px 6px rgb(0 0 0 / 16%);
  --radius: 8px;
  --radius-large: 15px;
}
body {
  background: var(--zeus-rental-background);
}
.note-text{
  font-size: 1.3rem;
  font-weight: normal;
  color: var(--zeus-rental-black);
  line-height: 1.1;
}
.validator-error{
  color: red;
  margin-top: 0.5em;
  line-height: 1.2;
}
.mypage-attention-text{
  margin: 0.25em 0 0 0;
  color: var(--zeus-rental-black);
}
.vertical-characters {
  display: none;
}
.mypage-titile-area-text h1.mypage-titile-area-title {
  font-size: 3rem;
  color: var(--zeus-rental-black);
  margin-bottom: 10px;
}
div.mypage-description-flex-left p {
  font-size: 2rem;
  color: var(--zeus-rental-black);
}
.mypage-section-container div.mypage-title-area {
  margin-bottom: 10px;
  justify-content: flex-start;
}
div.mypage-section-container {
  max-width: 1100px;
  width: 90%;
  margin: 60px auto 0;
}
div.mypage-content-box-title{
  padding: 0 0 1em 0;
}
div.mypage-content-box-title .edit-ttl{
  font-size: 2rem;
  font-weight: bold;
  margin: 0;
  padding: 0;
  color: var(--zeus-rental-black);
}
div.mypage-title-area {
  margin-bottom: 20px;
}
div.mypage-title-area-icon {
  width: 90px;
  margin: 0 25px 0 0;
}
div.mypage-title-area-icon img {
  width: auto;
  height: auto;
  padding-left: 0;
}
div.mypage-content-box{
  background-color: unset;
}
div.mypage-content-box-inner {
  background-color: var(--zeus-rental-white);
  margin: 0;
  padding: 30px;
  filter: var(--shadow);
  border-radius: var(--radius-large);
}
.mypage-login div.mypage-content-box-inner {
  max-width: 600px;
}
a.pink-link {
  color: var(--zeus-rental-pink) !important;
  text-decoration: unset !important;
  position: relative !important;
}
a.pink-link::after {
  position: absolute;
  left: 0;
  content: '';
  width: 100%;
  height: 1px;
  background: var(--zeus-rental-pink);
  bottom: -7px; /*アンダーラインが現れ始める位置（aタグの下辺からの高さ）*/
  opacity: 0;
  visibility: hidden;
  transition: 0.3s;
}
a.pink-link:hover::after {
  visibility: visible;
  bottom: -2px;
  opacity: 1;
}
a.black-link {
  position: relative !important;
}
a.black-link::after {
  position: absolute;
  left: 0;
  content: '';
  width: 100%;
  height: 1px;
  background: var(--zeus-rental-black);
  bottom: -7px; /*アンダーラインが現れ始める位置（aタグの下辺からの高さ）*/
  opacity: 0;
  visibility: hidden;
  transition: 0.3s;
}
a.black-link:hover::after {
  visibility: visible;
  bottom: -2px;
  opacity: 1;
}
h1.mypage-titile-area-title {
  color: var(--zeus-rental-black);
  font-size: 3rem;
  margin-bottom: 0;
}
div.mypage-description {
  color: var(--zeus-rental-black);
  font-weight: normal;
}
.social-text .bar {
  background-color: var(--zeus-rental-black);
}
.another-plan-text {
  margin: 0 auto;
  width: fit-content;
}
.another-plan-text.link-area {
  line-height: 2;
  text-align: left;
}
div.mypage-container {
  min-height: calc(100vh - 149px);
}

/* ボタン用CSS */
/* submitボタン */
.mypage-main .button-body {
  width: 250px;
  height: 50px;
  padding: 0 10px 0 5px;
  border: unset;
  box-sizing: border-box;
  border-radius: 50px;
  position: relative;
  justify-content: center;
  transition: 0.3s;
  background-color: var(--zeus-rental-black);
  -webkit-filter: var(--shadow);
  filter: var(--shadow);
  -webkit-transform: translateZ(0);
  transform: translateZ(0);
}
.mypage-main .button-body:hover {
  outline: unset;
  outline-offset: 0;
  background-color: var(--zeus-rental-yellow);
}
.mypage-main .button-body p {
  color: var(--zeus-rental-yellow);
  margin: 0;
  padding-right: .5em;
  font-size: 1.5rem;
  text-align: center;
}
.mypage-main .button-body:hover p {
  color: var(--zeus-rental-black);
}
.mypage-main .button-triangle {
  position: absolute;
  right: 10px;
  top: 50%;
  transform: translateY(-50%);
  color: var(--zeus-rental-yellow);
}
.mypage-main .button-body:hover span.button-triangle {
  color: var(--zeus-rental-black);
}
.button.center  {
  justify-content: center;
}

/* ポップアップ用CSS */
.ui-widget.ui-widget-content {
  border: solid 6px var(--zeus-rental-yellow) !important;
  border-radius: var(--radius-large) !important;
  width: 600px !important;
}
.ui-dialog .ui-dialog-title {
  padding-bottom: 10px;
  font-size: 20px !important;
  border-bottom: 2px solid #666666;
}
.ui-dialog .ui-dialog-buttonpane button.dialog-btn-neg {
  border-radius: 50px !important;
  transition: 0.3s;
}
.ui-dialog .ui-dialog-buttonpane button.dialog-btn-red {
  padding: .3em 1.7em 0.4em 1em;
  border-radius: 50px !important;
  transition: 0.3s;
}
.ui-dialog .ui-dialog-buttonpane button {
  width: 150px !important;
}
.ui-dialog .ui-dialog-buttonpane .ui-dialog-buttonset {
  filter: var(--shadow);
  -webkit-filter: var(--shadow);
  -webkit-transform: translateZ(0);
  transform: translateZ(0);
}
.ui-dialog .ui-dialog-buttonpane button.dialog-btn-red:hover{
  color: #FFEB00 !important;
  background: #000 !important;
  opacity: 1;
}
.ui-dialog .ui-dialog-buttonpane button.dialog-btn-red:hover::before{
  border-left: 10px solid #FFEB00;
}
.ui-dialog .ui-dialog-buttonpane button.dialog-btn-neg:hover{
  background: #000 !important;
  opacity: 1;
}

@media screen and (min-width: 768px) and (max-width: 1280px) {
  div.header-wrapper{
    max-width: 750px;
  }
}
@media screen and (max-width: 767px) {
  div.header-logo a img{
    width: auto;
    height: 30px;
    margin: 10px 0;
  }
  .ui-widget.ui-widget-content {
    width: 90% !important;
  }
  .ui-dialog .ui-dialog-buttonpane button {
    width: 130px !important;
  }
  .ui-dialog .ui-dialog-buttonpane button.dialog-btn-neg,
  .ui-dialog .ui-dialog-buttonpane button.dialog-btn-red{
    height: 35px !important;
  }
  div.mypage-container {
    min-height: calc(100vh - 146px);
  }
  h1.mypage-titile-area-title {
    font-size: 2rem;
  }
  a.pink-link {
    font-size: 1.3rem !important;
  }
}

/*input*/
.mypage-input input {
  border-radius: var(--radius);
  height: 42px;
  font : normal 16px  Arial, sans-serif;
}
table.table-base td {
  padding: 0;
}
table.table-base tr:not(:first-of-type) td{
  padding-top: 1.5rem;
}
table.table-base tr td:has(.mypage-attention-text) {
  padding-top: 0;
}

.table-mini ,
table.table-mini {
  width: 65%;
  min-width: 634px;
  margin: auto;
}

/*必須マーク*/
.mandatory,
span.form-label.mandatory{
  color: var(--zeus-rental-pink);
  border-color: var(--zeus-rental-pink);
  margin-right: 0.25em;
  padding: 3px 6px;
  font-weight: normal;
  font-size: 1.2rem;
  line-height: 1;
  border-radius: 5px;
}

/* header */
div.mypage-nav-wrapper {
  background: var(--zeus-rental-background);
}
div.mypage-nav a {
  color: var(--zeus-rental-black);
}
div.mypage-nav a::after {
  background: var(--zeus-rental-black);
}
div.mypage-nav a.button-disabled::after {
  background: #FFFFFF;
}
div.mypage-nav a.button-disabled::after {
  background: var(--zeus-rental-black);
  opacity: 0.6;
  pointer-events: none;
}
header .header-logo a {
  display: flex;
}

/* footer */
.privacy-mark {
  width: 70px;
  padding: calc(70px / 4);
}
footer#new-footer {
  padding: 10px 0;

}
#new-footer .wrapper {
  gap: 0;
  margin-left: 0;
  position: relative;
}
#new-footer .wrapper ul {
  padding: 0;
}

#new-footer .wrapper ul a{
  text-decoration: unset;
  position: relative;
}
#new-footer .wrapper ul a::after {
  position: absolute;
  left: 0;
  content: '';
  width: 100%;
  height: 1px;
  background: var(--zeus-rental-white);
  bottom: -7px; /*アンダーラインが現れ始める位置（aタグの下辺からの高さ）*/
  opacity: 0;
  visibility: hidden;
  transition: 0.3s;
}
#new-footer .wrapper ul a:hover::after {
  visibility: visible;
  bottom: -2px;
  opacity: 1;
}
footer:not(.exclusion)#new-footer,
.mypage-footer-copyright{
  font-size: 1.1rem;
}
#new-footer .wrapper ul li:not(:last-of-type) {
  border-right: unset;
}
div.mypage-content-box-inner p {
  color: var(--zeus-rental-black);
}
.mypage-content-box-inner table.table-base th {
  color: var(--zeus-rental-black);
}

@media (min-width: 768px) and (max-width: 1280px) {
  div.mypage-content-box-inner{
    margin: auto;
  }
  .mypage-footer .privacy-mark {
    right: -140px;
  }
}

@media screen and (max-width: 767px) {
  div.mypage-container {
    padding: 0 5% 50px;
  }
  div.mypage-content-box-inner{
    padding: 30px 10px;
  }
  div.mypage-content-box-title{
    padding: 0 0 2.2rem 0;
  }
  div.mypage-content-box-title .edit-ttl{
    font-size: 1.5rem;
  }
  .button{
    margin-top: 20px;
  }
  .mypage-main .button-body {
    max-width: 200px;
    min-width: 180px;
    height: 40px;
    margin: 0 auto;
  }
  .mypage-footer .privacy-mark {
    right: -50px;
  }
  div.mypage-section-container{
    width: 100%;
    margin: auto;
    padding: 0;
  }
  .mypage-login div.mypage-section-container div.mypage-login-button {
    margin-top: 20px;
  }
  .table-mini ,
  table.table-mini {
    width: 100%;
    min-width: unset;
  }

  table.table-base tr{
    display: flex;
    flex-direction: column;
  }
  table.table-base th,
  table.table-base td{
    width: 100%;
  }
  #new-footer .wrapper {
    width: 100%;
  }
  #new-footer .wrapper ul {
    display: grid;
    grid-template-rows: repeat(2, auto);
    grid-auto-flow: column;
    justify-content: center;
    justify-items: start;
    column-gap: 2em;
    row-gap: 1em;
    margin: 0;
  }
  #new-footer .wrapper ul li {
    padding: 0;
    text-align: left;
  }
  #new-footer .wrapper ul li:not(:last-of-type) {
    border-right: none;
  }
  .mypage-main div.mypage-section-container {
    margin: 0 auto;
  }
  .mypage-footer .privacy-mark {
    right: 10px;
    width: 60px;
  }
  #new-footer .wrapper small {
    margin: 20px 0 0;
  }
  footer#new-footer {
    padding: 15px 0;
  }
  #new-footer .wrapper ul {
    font-size: 1.1rem;
  }
}

/* mypage-content-box内　共通ｃｓｓ */
.mypage-content-box .mypage-content-box-title p.edit-ttl {
  width: calc(100%);
  margin: auto;
}
.mypage-content-box-inner div.mypage-content-box-title {
  padding: 0 0 20px 0;
}
.mypage-section-container div.mypage-contract-description {
  margin-bottom: 35px;
  margin-top: 15px;
}

@media screen and (max-width: 768px) {
  .mypage-section-container div.mypage-title-area {
    display: flex;
    align-items: center;
    padding: 0px 0 0px;
  }
  .mypage-section-container div.mypage-title-area-icon {
    margin: 0 15px 0 0;
    width: 75px;
    height: auto;
  }
  .mypage-titile-area-title-sub {
    display: none;
  }
  .mypage-titile-area-text h1.mypage-titile-area-title {
    font-size: 2rem;
    margin-bottom: 0;
  }
  div.mypage-description-flex-left p {
    font-size: 1.5rem;
    color: var(--zeus-rental-black);
    line-height: 1.4;
  }
  .mypage-content-box-inner div.mypage-content-box-title {
    padding: 0 0 10px 0;
  }
}